com.avaya.ccs.api

## Interface ClientListenerI

-     public interface ClientListenerI

  An implementing instance of the `ClientListenerI` delivers `ClientI` level events to the application.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClientEvent(NotificationEventI<ClientI> clientEvent)` This method delivers a `NotificationEventI` object which contains the `NotificationType`, the object that is being updated (`ClientI`), an optional `ErrorI` object and an optional `ResponseData` object.

- - ### Method Detail

    - #### onClientEvent

          void onClientEvent(NotificationEventI<ClientI> clientEvent)

      This method delivers a `NotificationEventI` object which contains the `NotificationType`, the object that is being updated (`ClientI`), an optional `ErrorI` object and an optional `ResponseData` object. Specifically, only `NotificationType.UPDATE` and `NotificationType.ERROR` notification types will be received for the ClientI object.

      A `NotificationType.UPDATE` notification indicates that properties of the specified `ClientI` instance has been modified and the newly supplied `ClientI` object represents a complete update. Please see `ClientI` for more details on the scenarios that a `NotificationType.UPDATE` notification will be received by the application.

      A `NotificationType#ERROR` notification generally indicates that there was either a problem with establishing a connection to the server or that the connection to the server was disconnected. The accompanying `ErrorI` object provides details as to the cause of the error. Please see `ClientI` for more details on the scenarios that a `NotificationType.ERROR` notification will be received by the application.

      The CCS API executes this event listener method in the context of the CCS API processing threads. On receiving a notification event, the application must immediately switch executing context from the CCS API processing threads and move processing of the event to application threads.

      Parameters:
        `clientEvent` - an event containing a `ClientI` notification